## IdeApplicationAddin IdeApplicationAddin |

## Functions

void | ide_application_addin_load ()
void | ide_application_addin_unload ()

## Types and Values

#define | IDE_TYPE_APPLICATION_ADDIN
struct | IdeApplicationAddinInterface
| IdeApplicationAddin

## Description

## Functions

### ide_application_addin_load ()

    void
    ide_application_addin_load (IdeApplicationAddin *self,
                                IdeApplication *application);

This interface method is called when the application is started or the plugin has just been activated.

Use this to setup code in your plugin that needs to be loaded once per application process.

#### Parameters

self | An IdeApplicationAddin. |
application | An IdeApplication. |

### ide_application_addin_unload ()

    void
    ide_application_addin_unload (IdeApplicationAddin *self,
                                  IdeApplication *application);

This inteface method is called when the application is shutting down or the plugin has been unloaded.

Use this function to cleanup after anything setup in `ide_application_addin_load()`.

#### Parameters

self | An IdeApplicationAddin. |
application | An IdeApplication. |

## Types and Values

### IDE_TYPE_APPLICATION_ADDIN

    #define IDE_TYPE_APPLICATION_ADDIN (ide_application_addin_get_type())

### struct IdeApplicationAddinInterface

    struct IdeApplicationAddinInterface {
      GTypeInterface parent_interface;

      void (*load)   (IdeApplicationAddin *self,
                      IdeApplication      *application);
      void (*unload) (IdeApplicationAddin *self,
                      IdeApplication      *application);
    };

### IdeApplicationAddin

    typedef struct _IdeApplicationAddin IdeApplicationAddin;